Name:           perl-Config-Model
Version:        0.638
Release:        4%{?dist}
Summary:        Framework to create configuration validation tools and editors
License:        LGPLv2+ 
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Config-Model/
Source0:        http://www.cpan.org/authors/id/D/DD/DDUMONT/Config-Model-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Carp::Assert::More)
BuildRequires:  perl(Config::Tiny)
BuildRequires:  perl(Exception::Class)
BuildRequires:  perl(Log::Log4perl) >= 1.11
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Parse::RecDescent) >= 1.90.0
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Warn) >= 0.11
BuildRequires:  perl(Test::Pod) 
Requires:       perl(Carp::Assert::More)
Requires:       perl(Config::Tiny)
Requires:       perl(Exception::Class)
Requires:       perl(Log::Log4perl) >= 1.11
Requires:       perl(Parse::RecDescent) >= 1.90.0
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Using Config::Model, a typical configuration validation tool will be made
of 3 parts :
1. The user interface
2. The validation engine which is in charge of validating all the
configuration information provided by the user.
3. The storage facility that store the configuration information

%prep
%setup -q -n Config-Model-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog config-edit examples LICENSE README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man1/*
/usr/bin/config-edit

%changelog
* Sun Aug 09 2009 David Hannequin david.hannequin@gmail.com 0.638-4
- Modify license.

* Sat Aug 08 2009 David Hannequin david.hannequin@gmail.com 0.638-3
- Add missing build require.

* Sun Aug 02 2009 David Hannequin david.hannequin@gmail.com 0.638-2
- Fix wrong path.

* Fri Jul 31 2009 David Hannequin <david.hannequin@gmail.com> 0.638-1
- First release.

